Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 980646 - Typo in devassitant man page with -b --build option
Summary: Typo in devassitant man page with -b --build option
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: devassistant
Version: 19
Hardware: All
OS: All
unspecified
low
Target Milestone: ---
Assignee: Bohuslav "Slavek" Kabrda
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-07-02 23:54 UTC by Steven Vormwald
Modified: 2013-07-12 03:16 UTC (History)
1 user (show)

Fixed In Version: devassistant-0.4.0-2.fc19
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-07-12 03:16:11 UTC
Type: Bug


Attachments (Terms of Use)

Description Steven Vormwald 2013-07-02 23:54:42 UTC
Description of problem:

The documentation for the -b/--build option is merged with the documentation for
the -g/--github option under the 'COMMON OPTIONS' heading of the man page
(quoted in Actual results results below).

Version-Release number of selected component (if applicable):

devassistant-0.3.1-1.fc19.noarch

How reproducible:

Always occurs.

Steps to Reproduce:

1. run 'man devassistant'
2. scroll down to 'COMMON OPTIONS'
3. notice that the documentation for the -b/--build option is merged with -g/--github option

Actual results:

       -g --github <username>
              create  a  GitHub  repo and push the initial sources there. Uses
              current username, which can be overriden by specifying a differ‐
              ent  GitHub  username. The GitHub projectname is taken from name
              parameter..B -b --build generate a SPEC  file,  SRPM  and  mock-
              build RPM.

Expected results:

       -g --github <username>
              create  a  GitHub  repo and push the initial sources there. Uses
              current username, which can be overriden by specifying a differ‐
              ent  GitHub  username. The GitHub projectname is taken from name
              parameter.

       -b --build
              generate a SPEC  file,  SRPM  and  mock-build RPM.

Comment 1 Bohuslav "Slavek" Kabrda 2013-07-03 07:35:03 UTC
Thanks for the report, you're absolutely right. I've fixed this upstream [1] and added the patch to F19 and rawhide (please note that there is a new version - 0.4.0 - in updates-testing for F19, so this is the one that got fixed).

[1] https://github.com/bkabrda/devassistant/commit/2d9e9aa9758041053557badafa9e46943ff71c9c

Comment 2 Fedora Update System 2013-07-03 07:36:24 UTC
devassistant-0.4.0-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/devassistant-0.4.0-2.fc19

Comment 3 Fedora Update System 2013-07-04 00:59:59 UTC
Package devassistant-0.4.0-2.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing devassistant-0.4.0-2.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-12283/devassistant-0.4.0-2.fc19
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2013-07-12 03:16:11 UTC
devassistant-0.4.0-2.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.